<template>
  <div class="app-container">
    <el-select v-model="oneTierMenu" prop="oneTierMenu">
      <el-option v-for="(i,index) in oneTierMenus" :key="index" :label="i.title" :value="i.id" />
    </el-select>

    <el-button @click="queryAction">查詢</el-button>

    <el-divider />
    <el-table :data="tableData" border style="width: 100%">
      <el-table-column type="index" width="50" />
      <el-table-column prop="title" label="目錄" />
      <el-table-column v-if="false" prop="id" label="ID" />
      <el-table-column prop="path" label="路徑" />
      <el-table-column v-if="false" prop="icon" label="ICON" />
    </el-table>
  </div>
</template>

<script>
import { query, getOneTierMenu } from './action'
import { Message } from 'element-ui'
export default {
  data() {
    return {
      oneTierMenu: '',
      oneTierMenus: [],
      tableData: []
    }
  },
  mounted() {
    this.getOneTierMenu()
  },
  methods: {
    getOneTierMenu: function() {
      getOneTierMenu().then(res => {
        if (res.status === 'OK') {
          this.oneTierMenus = res.data
        }
      })
    },
    queryAction: function() {
      // console.log(this.$route)
      query({ param: this.oneTierMenu }).then(response => {
        // console.log('res   ' + response)
        var status = response.status
        if (status === 'EXCEPTION') {
          Message({
            message: response.data,
            showClose: true,
            type: 'error',
            duration: 3 * 1000
          })
        } else if (status === 'empty') {
          Message({
            message: response.message,
            showClose: true,
            type: 'success',
            duration: 3 * 1000
          })
          this.showTable = false
          this.tableData = []
        } else if (status === 'OK') {
          Message({
            message: response.message,
            showClose: true,
            type: 'success',
            duration: 1 * 1000
          })
          this.tableData = JSON.parse(response.data)
        }
      })
    }
  }
}
</script>
